commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Henri Yandell <flame...@gmail.com>
Subject Re: [configuration] Dependencies after switch to 1.4
Date Sat, 02 Jan 2010 21:31:26 GMT
What would a dependency of 1.5 mean with regards to the Xerces dependency?

You depend on Lang/Collections, and both are 1.5 dependent for their
next version.

Hen

On Sat, Jan 2, 2010 at 12:22 PM, Oliver Heger
<oliver.heger@oliver-heger.de> wrote:
> In order to change the minimum required JDK to 1.4 I modified pom.xml. I was
> hoping to get rid of all the XML-related dependencies, but obviously this is
> not so easy.
>
> When dropping the Xerces-dependency I get a bunch of test failures:
> - Many of them are caused by tests for DatabaseConfiguration. Here dbunit
> cannot resolve the DTD in the dataset file. This can be solved by simply
> removing the reference to the DTD.
> - The major problem is caused by tests that require advanced validation
> features, e.g. schema validation. This is not supported by the parser
> shipped with Java 1.4.
>
> Because of the latter point I think we are forced to keep the
> Xerces-dependency (with test scope). Unfortunately, this also demands the
> dependency to XML-APIs - otherwise I get NoClassDefFound errors.
>
> Or is there an alternative?
>
> At least the dependency to Xalan can be dropped. I wonder whether this has
> some impact on GUMP which has still trouble with building [configuration].
>
> Oliver
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
> For additional commands, e-mail: dev-help@commons.apache.org
>
>

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message